<?php
namespace Modules\Fournisseur\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class PopUpGestionFournisseur
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function popupShortListe(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupMultiPartenaire(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupGroupement(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupTransfertFournisseur(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupTransfertConfirmation(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupExport(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function exportFrs(): bool
    {
        return true;
    }
}
